ASE(1)

NAME
ase - manual page for ase 3.6.0

SYNOPSIS
ase [options] system(s)

DESCRIPTION
Run EMT calculation.

OPTIONS

-h, --help
    show this help message and exit

    General:

-t TAG, --tag=TAG
    String tag added to filenames.

-M M1,M2,..., --magnetic-moment=M1,M2,...
    Magnetic moment(s). Use "-M 1" or "-M 2.3,-2.3".

-G, --gui
    Pop up ASE's GUI.

-s, --write-summary
    Write summary.

--slice=start:stop:step
    Select subset of calculations using Python slice syntax. Use "::2" to do every second calculation and "-5:" to do the last five.

-w FILENAME, --write-to-file=FILENAME
    Write configuration to file.

-i, --interactive-python-session
    Run calculation inside interactive Python session. A possible $PYTHONSTARTUP script will be imported and the "atoms" variable refers to the Atoms object.

-l, --use-lock-files
    Skip calculations where the json lock-file or result file already exists.

--contains=ELEMENT
    Run only systems containing specific element.

--modify=...
    Modify system with Python statement. Example: "system.positions[-1,2]+=0.1". Warning: no spaces allowed!

--clean
    Remove unfinished tasks from json file.

    Optimize:

-R FMAX, --relax=FMAX
    Relax internal coordinates using L-BFGS algorithm.

--constrain-tags=T1,T2,...
    Constrain atoms with tags T1, T2, ...

    Molecule:

-v VACUUM, --vacuum=VACUUM
    Amount of vacuum to add around isolated systems (in Angstrom).

--unit-cell=UNIT_CELL
    Unit cell. Examples: "10.0" or "9,10,11" (in Angstrom).

--bond-length=BOND_LENGTH
    Bond length of dimer in Angstrom.

-F N,x, --fit=N,x
    Find optimal bondlength and vibration frequency using N points and displacements from -x % to +x %.

--atomize
    Calculate Atomization energies.

    Calculator:

-k K1,K2,K3, --monkhorst-pack=K1,K2,K3
    Monkhorst-Pack sampling of BZ. Example: "4,4,4": 4x4x4 k-points, "4,4,4g": same set of k-points shifted to include the Gamma point.

--k-point-density=K_POINT_DENSITY
    Density of k-points in Angstrom.

-p key=value,..., --parameters=key=value,...
    Comma-separated key=value pairs of calculator specific parameters.